Multivariate Pattern Analysis in Python

# mvpa2.clfs.stats.ClassWithCollections

class `mvpa2.clfs.stats.``ClassWithCollections`(descr=None, **kwargs)

  Base class for objects which contain any known collection

  Classes inherited from this class gain ability to access collections and their items as simple attributes. Access to collection items “internals” is done via <collection_name> attribute and interface of a corresponding `Collection`.

  Attributes

  `descr` | Description of the object if any

  Methods

  Initialize ClassWithCollections object

  Parameters:

  descr : str

  > Description of the instance

  Attributes

  `descr` | Description of the object if any

  Methods

  `descr`

    Description of the object if any

  `reset`()